Bug 33883 - New default connector/s4/mapping/group/syncmode=write ?
New default connector/s4/mapping/group/syncmode=write ?
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Samba 4 - Slave PDC
UCS@school 4.1
Other Linux
: P5 enhancement (vote)
: UCS@school 4.1 Errata
Assigned To: Sönke Schwardt-Krummrich
Florian Best
:
Depends on:
Blocks: 40206 40473
  Show dependency treegraph
 
Reported: 2014-01-09 13:43 CET by Sönke Schwardt-Krummrich
Modified: 2016-01-20 13:34 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sönke Schwardt-Krummrich univentionstaff 2014-01-09 13:43:38 CET
It should be checked if connector/s4/mapping/user/syncmode=write may be used as new default in UCS@school installations.

+++ This bug was initially created as a clone of Bug #33711 +++

Currently we have only one sync mode for all types: connector/s4/mapping/syncmode

We should make it configurable, for example:
 connector/s4/mapping/group/syncmode

That could be a workaround for Bug #33466.
Comment 1 Stefan Gohmann univentionstaff 2015-12-09 20:33:26 CET
Another issue: Ticket #2015110421000351

We should change the Default in UCS@school environments.
Comment 2 Sönke Schwardt-Krummrich univentionstaff 2015-12-16 12:38:01 CET
The UCR variable connector/s4/mapping/group/syncmode=write (please note: "group" is correct, "user" isn't!) will be set in all UCS@school meta packages. If installed, the s4 connector is conditionally restarted.
Added xml changelog entry.

Package: ucs-school-metapackage
Version: 8.0.1-2.159.201512161221

ucs-school-metapackage (8.0.1-2):
r66376 | Bug #33883: restart univention-s4-connector (if installed) to activate S4 connector config changes
r66363 | Bug #338833: set connector/s4/mapping/group/syncmode=write to prevent data loss at group objects if more than one S4 connector is used

NONE:
r66379 | Bug #33883: fixed xml changelog entry

Package has been pushed to test appcenter.
Comment 3 Florian Best univentionstaff 2015-12-17 10:43:47 CET
OK: Changelog
OK: UCR set + S4-Connector restart if installed
Comment 4 Sönke Schwardt-Krummrich univentionstaff 2015-12-21 16:24:50 CET
UCS@school 4.1 v2 has been released:
http://docs.univention.de/release-notes-ucsschool-4.1v2-de.html

If this error occurs again, please use "Clone This Bug".